Bug 204910 - RFE: Please update squashfs-tools to 3.1-r2 release
RFE: Please update squashfs-tools to 3.1-r2 release
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: squashfs-tools (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
http://sourceforge.net/project/showfi...
:
Depends On:
Blocks: FC7Blocker
  Show dependency treegraph
 
Reported: 2006-09-01 05:55 EDT by Marcin Garski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-09 17:26:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcin Garski 2006-09-01 05:55:11 EDT
Hello Jeremy, new version of squashfs-tools has been released.
Changes since 3.0:

1. Mksquashfs has been rewritten to be multi-threaded.  It
   has the following improvements

1.1. Parallel compression.  By default as many compression
and fragment compression threads are created as there are
available processors.  This significantly speeds up
performance on SMP systems.

1.2. File input and filesystem output is peformed in
parallel on separate threads to maximise I/O performance.
Even on single processor systems this speeds up performance
by at least 10%.

1.3. Appending has been significantly improved, and files
within the filesystem being appended to are no longer
scanned and checksummed.  This significantly improves append
time for large filesystems.

1.4. File duplicate checking has been optimised, and split 
into two separate phases.  Only files which are considered 
possible duplicates after the first phase are checksummed 
and cached in memory.

1.5  The use of swap memory was found to significantly 
impact performance. The amount of memory used to cache files 
is now a command line option, by default this is 512 Mbytes.

2. Unsquashfs has the following improvements

2.1  Unsquashfs now allows you to specify the filename or 
the directory within the Squashfs filesystem that is to be 
extracted, rather than always extracting the entire
filesystem.

2.2  A new -force option has been added which forces 
Unsquashfs to output to the destination directory even if
files and directories already exist in the destination
directory.  This allows you to update an already existing 
directory tree, or to Unsquashfs to a partially filled 
directory tree.  Without the -force option Unsquashfs will
refuse to output.

3.  The following major bug fixes have been made

3.1   A fragment table rounding bug has been fixed in 
Mksquashfs. Previously if the number of fragments in the 
filesystem were a multiple of 512, Mksquashfs would generate 
an incorrect filesystem.

3.2   A rare SMP bug which occurred when simultaneously 
acccessing multiply mounted Squashfs filesystems has been 
fixed.

4. Miscellaneous improvements/bug fixes

4.1   Kernel code stack usage has been reduced.  This is to 
ensure Squashfs works with 4K stacks.
       
4.2   Readdir (Squashfs kernel code) has been fixed to
always return 0, rather than the number of directories read.  
Squashfs should now interact better with NFS.

4.3   Lseek bug in Mksquashfs when appending to larger than
4GB filesystems fixed.

4.4   Squashfs 2.x initrds can now been mounted.

4.5   Unsquashfs exit status fixed.

4.6   New patches for linux-2.6.18 and linux-2.4.33.

In -r2:
Mksquashfs -sort bug fix. A code optimisation after testing unfortunately broke
sorting in Mksquashfs. This has been fixed.
Comment 1 Jeremy Katz 2006-09-06 00:26:12 EDT
Given where we are in the devel cycle, I'm not really comfortable with shoving
this in (freeze for test3 was today, and that's the last chance for significant
testing really)

I'll do this first thing after FC6 final freezes
Comment 2 Marcin Garski 2006-09-06 14:28:46 EDT
I understand it's not a good time to update package. No problem for me. Thank's
for replaying.

Note You need to log in before you can comment on or make changes to this bug.